## class OSGSIM_EXPORT osgSim::LightPointNode

## Inheritance:

### Public Methods

LightPointNode()
LightPointNode(const LightPointNode&, const osg::CopyOp& copyop=osg::CopyOp::SHALLOW_COPY)
  Copy constructor using CopyOp to manage deep vs shallow copy
META_Node(osgSim, LightPointNode)
virtual void traverse(osg::NodeVisitor& nv)
unsigned int getNumLightPoints() const
unsigned int addLightPoint(const LightPoint& lp)
void removeLightPoint(unsigned int pos)
LightPoint& getLightPoint(unsigned int pos)
const LightPoint& getLightPoint(unsigned int pos) const
void setLightPointList(const LightPointList& lpl)
LightPointList& getLightPointList()
const LightPointList& getLightPointList() const
void setMinPixelSize(float minPixelSize)
float getMinPixelSize() const
void setMaxPixelSize(float maxPixelSize)
float getMaxPixelSize() const
void setMaxVisibleDistance2(float maxVisibleDistance2)
float getMaxVisibleDistance2() const

### Public Members

typedef std::vector< LightPoint > LightPointList

### Protected Fields

mutable osg::BoundingBox _bbox
LightPointList _lightPointList
float _minPixelSize
float _maxPixelSize
float _maxVisibleDistance2

### Protected Methods

~LightPointNode()
virtual bool computeBound() const

## Documentation

`typedef std::vector< LightPoint > LightPointList`

`LightPointNode()`

`LightPointNode(const LightPointNode&, const osg::CopyOp& copyop=osg::CopyOp::SHALLOW_COPY)`
  Copy constructor using CopyOp to manage deep vs shallow copy

`META_Node(osgSim, LightPointNode)`

`virtual void traverse(osg::NodeVisitor& nv)`

`unsigned int getNumLightPoints() const`

`unsigned int addLightPoint(const LightPoint& lp)`

`void removeLightPoint(unsigned int pos)`

`LightPoint& getLightPoint(unsigned int pos)`

`const LightPoint& getLightPoint(unsigned int pos) const`

`void setLightPointList(const LightPointList& lpl)`

`LightPointList& getLightPointList()`

`const LightPointList& getLightPointList() const`

`void setMinPixelSize(float minPixelSize)`

`float getMinPixelSize() const`

`void setMaxPixelSize(float maxPixelSize)`

`float getMaxPixelSize() const`

`void setMaxVisibleDistance2(float maxVisibleDistance2)`

`float getMaxVisibleDistance2() const`

`~LightPointNode()`

`mutable osg::BoundingBox _bbox`

`virtual bool computeBound() const`

`LightPointList _lightPointList`

`float _minPixelSize`

`float _maxPixelSize`

`float _maxVisibleDistance2`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.